function fish_prompt --description 'Write out the prompt'
    set -l normal (set_color normal)

    # TODO: Changer couleur du suffixe si erreur
    # TODO: Changer couleur du suffixe si root?
    set -l prefix
    set -l suffix '❯'

    # If we're running via SSH, change the host color.
    set -l color_host $fish_color_host
    if set -q SSH_TTY
        set color_host $fish_color_host_remote
    end

    echo -n -s (set_color magenta) $suffix $normal " "
end
